package org.springblade.modules.sjapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.sjapp.entity.SjApp;
import org.springblade.modules.sjapp.vo.SjAppVO;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 *
 * @author BladeX
 * @since 2023-01-10
 */
public interface ISjAppService extends IService<SjApp> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param sjApp
	 * @return
	 */
	IPage<SjAppVO> selectSjAppPage(IPage<SjAppVO> page, SjAppVO sjApp);

	List<Map> consoleSelect(String sql);

	boolean consoleUpdate(String sql);

	boolean consoleInsert(String sqlStr);

	boolean consoleDelete(String sql);
}
